## org.eclipse.datatools.connectivity.oda.design
Class ElementNullability

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.connectivity.oda.design.ElementNullability

public final class ElementNullability
extends AbstractEnumerator

A representation of the literals of the enumeration 'Element Nullability', and utility methods for working with them. Indicates whether a data element's value can be null.

See Also:
  `DesignPackage.getElementNullability()`, Serialized Form

Field Summary
`static java.lang.String` `copyright`
`static int` `NOT_NULLABLE` The 'Not Nullable' literal value.
`static ElementNullability` `NOT_NULLABLE_LITERAL` The 'Not Nullable' literal object.
`static int` `NULLABLE` The 'Nullable' literal value.
`static ElementNullability` `NULLABLE_LITERAL` The 'Nullable' literal object.
`static int` `UNKNOWN` The 'Unknown' literal value.
`static ElementNullability` `UNKNOWN_LITERAL` The 'Unknown' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Element Nullability' enumerators.

Method Summary
`static ElementNullability` `get(int value)` Returns the 'Element Nullability' literal with the specified value.
`static ElementNullability` `get(java.lang.String name)` Returns the 'Element Nullability' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

### UNKNOWN

    public static final int UNKNOWN

  The 'Unknown' literal value.

  See Also:
    `UNKNOWN_LITERAL`, Constant Field Values

### NULLABLE

    public static final int NULLABLE

  The 'Nullable' literal value.

  See Also:
    `NULLABLE_LITERAL`, Constant Field Values

### NOT_NULLABLE

    public static final int NOT_NULLABLE

  The 'Not Nullable' literal value.

  See Also:
    `NOT_NULLABLE_LITERAL`, Constant Field Values

### UNKNOWN_LITERAL

    public static final ElementNullability UNKNOWN_LITERAL

  The 'Unknown' literal object.

  See Also:
    `UNKNOWN`

### NULLABLE_LITERAL

    public static final ElementNullability NULLABLE_LITERAL

  The 'Nullable' literal object.

  See Also:
    `NULLABLE`

### NOT_NULLABLE_LITERAL

    public static final ElementNullability NOT_NULLABLE_LITERAL

  The 'Not Nullable' literal object.

  See Also:
    `NOT_NULLABLE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Element Nullability' enumerators.

Method Detail

### get

    public static ElementNullability get(java.lang.String name)

  Returns the 'Element Nullability' literal with the specified name.

### get

    public static ElementNullability get(int value)

  Returns the 'Element Nullability' literal with the specified value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.